Skip to main content
GET
/
api
/
v1
/
vault
/
get_row
/
{review_table_id}
/
{file_id}
Get Review Table Row Details
curl --request GET \
  --url https://api.harvey.ai/api/v1/vault/get_row/{review_table_id}/{file_id} \
  --header 'Authorization: Bearer <token>'
{
  "assigned_user": "grace.hong@harvey.ai",
  "event_id": 2365724,
  "file_id": "0199c5c1-50d9-7d60-93aa-cd65c3b7d5a9",
  "is_assigned": true,
  "updated_at": "Wed, 10 Dec 2025 00:38:49 GMT",
  "response": {
    "cells": [
      {
        "citations": [
          {
            "citation_page": 62,
            "citation_quote": "IN WITNESS WHEREOF, Landlord and Tenant have executed this Lease as of the Commencement Date as set "
          },
          {
            "citation_page": 5,
            "citation_quote": "COMMENCEMENT DATE: February 7, 2011"
          },
          {
            "citation_page": 7,
            "citation_quote": "The Reference Pages, including all terms defined thereon, are incorporated as part of this Lease."
          }
        ],
        "column_name": "Lease Start Date",
        "column_question": "What date is the lease from?",
        "additional_context": "The lease is from February 07, 2011. This is the Commencement Date specified in the lease, and the lease was executed as of this date.",
        "is_edited": false,
        "is_flagged": false,
        "is_verified": true,
        "summary": "February 7, 2011",
        "verified_timestamp": "Sat, 20 Dec 2025 01:37:19 GMT",
        "verified_user": "grace.hong@harvey.ai"
      },
      {
        "citations": [
          {
            "citation_page": 12,
            "citation_quote": "Tenant agrees to pay to Landlord the Annual Rent in effect from time to time by paying the Monthly I"
          },
          {
            "citation_page": 21,
            "citation_quote": "Tenant shall keep the Project and appurtenant land and Tenant's leasehold interest in the Premises f"
          },
          {
            "citation_page": 22,
            "citation_quote": "Tenant shall have the right to assign or pledge this Lease or to sublet all or any portion of the Pr"
          },
          {
            "citation_page": 42,
            "citation_quote": "Tenant and Landlord shall meet for two (2) joint inspections of the Premises, the first to occur at "
          },
          {
            "citation_page": 18,
            "citation_quote": "Tenant shall, at its own cost and expense, keep and maintain all parts of the Premises in good condition."
          },
          {
            "citation_page": 24,
            "citation_quote": "Tenant shall keep in force throughout the Term: (a) a Commercial General Liability insurance policy "
          },
          {
            "citation_page": 23,
            "citation_quote": "Except to the extent arising from the gross negligence or willful misconduct of Landlord, its agents"
          },
          {
            "citation_page": 42,
            "citation_quote": "Tenant shall be responsible for the payment of any"
          }
        ],
        "column_name": "Lessee Obligations",
        "column_question": "What are the obligations of the leasee?",
        "additional_context": "The obligations of the lessee (Tenant) under the Company C Lease include paying Annual Rent in monthly installments, keeping the Premises and appurtenant land free of liens, maintaining the Premises in good condition, carrying Commercial General Liability insurance, indemnifying Landlord for claims arising from the Tenant's use, and participating in joint inspections of the Premises with the Landlord.",
        "flagged_timestamp": "Sat, 20 Dec 2025 01:37:23 GMT",
        "flagged_user": "grace.hong@harvey.ai",
        "is_edited": false,
        "is_flagged": true,
        "is_verified": true,
        "summary": "Pay rent, maintain the Premises, carry insurance, and indemnify the Landlord.",
        "verified_timestamp": "Sat, 20 Dec 2025 01:37:22 GMT",
        "verified_user": "grace.hong@harvey.ai"
      },
      {
        "additional_context": "The lease is from February 07, 2011. This is the Commencement Date specified in the lease, and the lease was executed.",
        "citations": [],
        "column_name": "Lease Start Date",
        "column_question": "What date is the lease from?",
        "is_edited": true,
        "is_flagged": false,
        "is_verified": true,
        "summary": "February 7, 2011",
        "verified_timestamp": "Sat, 20 Dec 2025 01:37:19 GMT",
        "verified_user": "grace.hong@harvey.ai"
      }
    ]
  }
}

Permissions

Requires Vault API permission.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

review_table_id
integer
required

The review table ID (integer). This is the same value as review_table_ids entries returned by Get Vault Project Metadata and as review_table_id returned by Get Review Table Metadata.

file_id
string<uuid>
required

The file ID corresponding to the row

Response

Review table row returned successfully

assigned_user
string<email>

Email of the user assigned to the row

event_id
integer

The review table ID (same value as the path parameter)

file_id
string<uuid>

The unique identifier of the file in the review table

is_assigned
boolean

Whether the row is assigned to a user

updated_at
string

Timestamp when the row was last updated

response
object

The review table response containing cells